<?php

/**
 * @version		$Id: uniqueCssArticle.php 14401 2010-10-23 23:08:00Z porquero $
 * @package		Joomla
 * @subpackage	Content
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

/**
 * Call and set to headers css file (if exists) to article by id
 *
 */
class plgContentUniqueCssArticle extends JPlugin
{

    function plgContentUniqCss(&$subject, $params)
    {
        parent::__construct($subject, $params);
    }

    function onPrepareContent(&$article, &$params, $limitstart)
    {
        global $mainframe;
        $idArticle = $article->id;
        $document = & JFactory::getDocument();
        $template = $mainframe->setTemplate;
        $templatePath = dirname(__FILE__) . '/../../templates/' . $template;
        $plugin = & JPluginHelper::getPlugin('content', 'uniqueCssArticle');
        $pluginParams = new JParameter($plugin->params);
        $cssPrefix = $pluginParams->get('filename_prefix', 'article_');
        $cssFile = $cssPrefix . $idArticle . '.css';
        if (file_exists($templatePath . '/css/' . $cssFile))
        {
            $document->addStyleSheet("./templates/{$template}/css/{$cssFile}", 'text/css', "all");
        }
    }

}
